Package org.stianloader.micromixin.transform.internal.annotation

## Class MixinAtAnnotation

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.MixinAtAnnotation

    public class MixinAtAnnotation
    extends java.lang.Object

### Field Summary

Fields
`static MixinAtAnnotation` `HEAD`
`InjectionPointSelector` `injectionPointSelector`
`java.lang.String` `slice`
`static MixinAtAnnotation` `TAIL`
`java.lang.String` `value`

### Constructor Summary

Constructors
`MixinAtAnnotation​(java.lang.String value, InjectionPointSelector selector, java.lang.String slice, int shift, boolean unsafe)`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<SlicedInjectionPointSelector>` `bake​(java.util.List<MixinAtAnnotation> ats, java.util.List<MixinSliceAnnotation> slices)`
`static SlicedInjectionPointSelector` `bake​(MixinAtAnnotation at, MixinSliceAnnotation slice)`
`static MixinAtAnnotation` `parse​(org.objectweb.asm.tree.ClassNode mixinSource, org.objectweb.asm.tree.AnnotationNode atValue, InjectionPointSelectorFactory factory)`
`static MixinAtAnnotation` `parseConstantAnnotation​(org.objectweb.asm.tree.ClassNode mixinSource, org.objectweb.asm.tree.AnnotationNode constantValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HEAD

    @NotNull
    public static final MixinAtAnnotation HEAD

#### TAIL

    @NotNull
    public static final MixinAtAnnotation TAIL

#### injectionPointSelector

    @NotNull
    public final InjectionPointSelector injectionPointSelector

#### slice

    @NotNull
    public final java.lang.String slice

#### value

    @NotNull
    public final java.lang.String value

### Constructor Detail

#### MixinAtAnnotation

    public MixinAtAnnotation​(@NotNull
                             java.lang.String value,
                             @NotNull
                             InjectionPointSelector selector,
                             @NotNull
                             java.lang.String slice,
                             int shift,
                             boolean unsafe)

### Method Detail

#### bake

    @NotNull
    public static java.util.List<SlicedInjectionPointSelector> bake​(@NotNull
                                                                    java.util.List<MixinAtAnnotation> ats,
                                                                    @NotNull
                                                                    java.util.List<MixinSliceAnnotation> slices)
                                                             throws MixinParseException

Throws:
  `MixinParseException`

#### bake

    @NotNull
    public static SlicedInjectionPointSelector bake​(@NotNull
                                                    MixinAtAnnotation at,
                                                    @Nullable
                                                    MixinSliceAnnotation slice)

#### parse

    @NotNull
    public static MixinAtAnnotation parse​(@NotNull
                                          org.objectweb.asm.tree.ClassNode mixinSource,
                                          @NotNull
                                          org.objectweb.asm.tree.AnnotationNode atValue,
                                          @NotNull
                                          InjectionPointSelectorFactory factory)
                                   throws MixinParseException

Throws:
  `MixinParseException`

#### parseConstantAnnotation

    @NotNull
    public static MixinAtAnnotation parseConstantAnnotation​(@NotNull
                                                            org.objectweb.asm.tree.ClassNode mixinSource,
                                                            @NotNull
                                                            org.objectweb.asm.tree.AnnotationNode constantValue)
                                                     throws MixinParseException

Throws:
  `MixinParseException`